curl --request DELETE \
--url https://api.vop-sandbox.finventi.com/v1/accounts/clientIds \
--header 'Content-Type: application/json' \
--data '
{
"client_ids": [
"client-12345",
"client-64789"
]
}
'{
"deleted_count": 2,
"deleted_ibans": [
"LT121000011101001000",
"DE89370400440532013000"
],
"failed_count": 1,
"failed_entries": {
"iban": "LT121000011101001000",
"reason": "Account not found"
},
"total_count": 3
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}Account Management
Batch delete accounts by Client IDs
Deletes multiple accounts using their client identifiers.
DELETE
/
v1
/
accounts
/
clientIds
curl --request DELETE \
--url https://api.vop-sandbox.finventi.com/v1/accounts/clientIds \
--header 'Content-Type: application/json' \
--data '
{
"client_ids": [
"client-12345",
"client-64789"
]
}
'{
"deleted_count": 2,
"deleted_ibans": [
"LT121000011101001000",
"DE89370400440532013000"
],
"failed_count": 1,
"failed_entries": {
"iban": "LT121000011101001000",
"reason": "Account not found"
},
"total_count": 3
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"parameters": {},
"status": {
"reasonPhrase": "<string>",
"statusCode": 123
},
"title": "<string>",
"type": "<string>"
}Request body
This endpoint expects the identifiers in theclient_ids field (snake_case), for example { "client_ids": ["client-123", "client-456"] }. The delete-by-IBANs endpoint uses the ibans field instead. If the interactive schema above shows the ibans shape for this endpoint, use client_ids as described here.Body
application/json
Payload containing: ibans: list of IBANs to delete;clientIds: list of Client IDs to delete. Either ibans or clientIds must be provided.
List of IBANs to delete
Minimum array length:
1List of IBANs to delete
Example:
[
"LT121000011101001000",
"DE89370400440532013000"
]
Response
Batch deletion result
Number of IBANs successfully deleted
Example:
2
List of IBANs successfully deleted
List of IBANs successfully deleted
Example:
[
"LT121000011101001000",
"DE89370400440532013000"
]
Number of IBANs that failed to delete
Example:
1
Details of IBANs that failed to delete, with reasons
Show child attributes
Show child attributes
Total number of IBANs submitted for deletion
Example:
3
Last modified on September 2, 2026